{% extends 'admin.html.twig' %}

{% block title %}Afficher le profil de l'utilisateur {{ parent() }} {% endblock %}

{% block body %}
<div class="row">


    <div class="col-12">
        <div class="block  table-block mb-4">
            <div class="block-heading">
                <h5>Profil de l'administrateur {{entity.admin.nom}} </h5>


            </div>

            <div class="row">
                <div class="col-12">

                    {% for message in app.session.flashbag.get('ajout') %}

                    <div class="alert alert-success" role="alert">
                        {{ message }}
                    </div>

                    {% endfor %}

                    <table class="table table-hover record_properties">
                        <tbody>
                            <tr>
                                <th scope="row"></th>
                                <td>
                                    <img src="{{asset(entity.WebPath)}}" style="height:120px;"> </td>
                            </tr>
                            <tr>
                                <th scope="row">Nom</th>
                                <td>{{entity.admin.nom}}</td>
                            </tr>

                            <tr>
                                <th scope="row">Prénom</th>
                                <td> {{entity.admin.prenom}} </td>
                            </tr>

                            <tr>
                                <th scope="row">Téléphone</th>
                                <td>{{entity.admin.tel}}</td>
                            </tr>

                            <tr>
                                <th scope="row">Email</th>
                                <td>{{entity.email}}</td>
                            </tr>

                            <tr>
                                <th scope="row">Fonction</th>
                                <td>{{entity.admin.fonction}}</td>
                            </tr>


                        </tbody>
                    </table>

                    <div class="btn-group record_actions">

                        <a class="btn btn-inline btn-info" href="{{path('user_admin')}}">
                            <i class="fa fa-chevron-circle-left"></i> Retour
                        </a>

                        <a class="btn btn-inline btn-primary"
                            href="{{path('user_admin_create' , {id:entity.id} )}}">
                            Modifier <i class="fa fa-edit"></i>
                        </a>
                        <a href="#" class="btn btn-inline btn-danger" data-target="#removeModalLabel"
                            data-toggle="modal">
                            Supprimer <i class="fa fa-trash"></i>
                        </a>

                        <a class="btn btn-inline btn-warning"
                            href="{{path('user_admin_password' , {id:entity.id} )}}">
                            Modifier mot de passe <i class="fa fa-eye-slash"></i>
                        </a>
                    </div>



                </div>

            </div>

        </div>
    </div>

</div>
<div aria-hidden="true" aria-labelledby="removeModalLabel" class="modal fade" id="removeModalLabel" role="dialog"
    tabindex="-1">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Confirmation de suppression</h5>
                <button aria-label="Close" class="close" data-dismiss="modal" type="button"><span aria-hidden="true">
                        ×</span></button>
            </div>
            <div class="modal-body">
                <p style="text-align:center">Voulez-vous vraiment supprimer l'element? </p>
            </div>
            <div class="modal-footer">
                <button class="btn btn-secondary" data-dismiss="modal" type="button"> Annuler</button>
                <a href="{{path('user_admin_remove', {id:entity.identifiant} )}}" class="btn btn-primary">Confirmer </a>
            </div>
        </div>
    </div>
</div>
</div>
{% endblock %}